<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DataSharingContext extends \Google\Protobuf\Internal\Message
{
    


    protected $showMmDisclosure = null;
    


    protected $encryptedSignalTokenConsented = null;
    


    private $parameters;
    


    protected $dataSharingFlags = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getShowMmDisclosure()
    {
        return isset($this->showMmDisclosure) ? $this->showMmDisclosure : false;
    }

    public function hasShowMmDisclosure()
    {
        return isset($this->showMmDisclosure);
    }

    public function clearShowMmDisclosure()
    {
        unset($this->showMmDisclosure);
    }

    




    public function setShowMmDisclosure($var)
    {
        GPBUtil::checkBool($var);
        $this->showMmDisclosure = $var;

        return $this;
    }

    



    public function getEncryptedSignalTokenConsented()
    {
        return isset($this->encryptedSignalTokenConsented) ? $this->encryptedSignalTokenConsented : '';
    }

    public function hasEncryptedSignalTokenConsented()
    {
        return isset($this->encryptedSignalTokenConsented);
    }

    public function clearEncryptedSignalTokenConsented()
    {
        unset($this->encryptedSignalTokenConsented);
    }

    




    public function setEncryptedSignalTokenConsented($var)
    {
        GPBUtil::checkString($var, True);
        $this->encryptedSignalTokenConsented = $var;

        return $this;
    }

    



    public function getParameters()
    {
        return $this->parameters;
    }

    




    public function setParameters($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\ContextInfo\DataSharingContext\Parameters::class);
        $this->parameters = $arr;

        return $this;
    }

    



    public function getDataSharingFlags()
    {
        return isset($this->dataSharingFlags) ? $this->dataSharingFlags : 0;
    }

    public function hasDataSharingFlags()
    {
        return isset($this->dataSharingFlags);
    }

    public function clearDataSharingFlags()
    {
        unset($this->dataSharingFlags);
    }

    




    public function setDataSharingFlags($var)
    {
        GPBUtil::checkInt32($var);
        $this->dataSharingFlags = $var;

        return $this;
    }

}

